Summary: Toolkit for agent-based simulation with hdf5 enabled.
Name: swarm-hdf5
Version: 2.1.1
Release: 1.suse
Copyright: LGPL
Group: Development/Libraries
Source: ftp://ftp.swarm.org/pub/swarm/swarm-2.1.1.tar.gz 
%define prefix      /usr
Prefix: %prefix
BuildRoot: /tmp/swarm-root
#BuildPrereq: hdf5 >= 1.2.1
BuildPrereq: hdf5
%ifarch ppc
BuildPrereq: libffi >= 1.20
%endif
BuildPrereq: kaffe
BuildPrereq: jikes
Icon: swarm.xpm
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Distribution: Red Hat Contrib|Net
Vendor: Swarm Development Group
URL: http://www.swarm.org
Requires: egcs, xdevel, libpng, libz, xpm, blt, tcl >= 8.0.4, tk >= 8.0.4
%ifarch ppc
Requires: libffi >= 1.20
%endif
Provides: swarm-base
Requires: hdf5 >= 1.2.1
Conflicts: swarm
 
%description
Swarm is a simulation toolkit for Complex Adaptive Systems. The Swarm
project is sponsored by the Santa Fe Institute.  To use this version,
you need a number of libraries and utilities, including tcl/tk 8.0.4
or better, and the blt library package.  This version enables hdf5.


%define gcc_path PATH=/packages/bin:$PATH

%define baseconfigure %{gcc_path} %{SWARM_SRC_DIR}/configure --srcdir=%{SWARM_SRC_DIR} --with-defaultdir=/usr --prefix='/REPLACE-AT-INSTALLATION' --enable-subdirs --with-jdkdir=/usr

%define SWARM_SRC_DIR $RPM_BUILD_DIR/swarm-%{version} 

%define makebuilddir() test -d %1 || mkdir %1 && cd %1 

%define swarm_shared_libs() for i in activity analysis collections defobj misc objc objectbase random simtools simtoolsgui space swarm tclobjc tkobjc; do echo "%verify (not size md5 mtime) %{1}/lib/swarm/lib$i.la" >> %2 ; echo "%{1}/lib/swarm/lib$i.so*" >> %2 ; done 

%define swarm_static_libs() for i in activity analysis collections defobj misc objc objectbase random simtools simtoolsgui space swarm tclobjc tkobjc; do echo "%{1}/lib/swarm/lib$i.a" >> %2 ; done 

%define gen_shared_filelist() echo "%{1}/bin/libtool-swarm" > %2; echo "%{1}/bin/m2h" >> %2; echo "%{1}/bin/make-h2x" >> %2 ; echo "%verify (not size md5 mtime) %{1}/etc/*" >> %2 ; echo "%{1}/include" >> %2 ; echo "%{1}/info/*" >> %2 ;  %{swarm_shared_libs: %1 %2}; echo '%dir %{1}/share' >> %2 ; echo '%doc README AUTHORS COPYING ChangeLog INSTALL NEWS THANKS' >> %2 

%define gen_static_filelist() echo > %2; %{swarm_static_libs: %1 %2}

%define fix_path() cd $RPM_INSTALL_PREFIX0; for i in %1; do eval "sed 's%/REPLACE-AT-INSTALLATION%$RPM_INSTALL_PREFIX0%g' $i > /tmp/swarmfile"; chmod --reference=$i /tmp/swarmfile; mv /tmp/swarmfile $i; done

%changelog
* Mon Feb 28 2000 Marcus G. Daniels <mgd@swarm.org>

- Remove ppc patch.

- Remove versioning on kaffe and jikes BuildPrereq.

- Break out system-specific build rules in to separate file, swarm.rules.

- Add support for Sparc and SUSE/i386.

- Hardwire /packages/bin/gcc as compiler.

- Minimize use of %defines (using substitutions instead).

* Fri Oct 22 1999 Alex Lancaster <alex@santafe.edu>

- Replace $RPM_PACKAGE_VERSION with %{version} throughout.

- Add "%gcc_path" macro so that path to gcc can be overriden (by
  setting "%_gcc_path" in the ~/.rpmmacros file), so that packages can
  be easily built against non-stock Red Hat 6.{1,2} compilers (such as
  gcc-2.95.1).

* Tue Oct 19 1999 Alex Lancaster <alex@santafe.edu>

- Add XFree86-devel and egcs to Requires.

* Fri Oct 01 1999 Alex Lancaster <alex@santafe.edu>

- Use new common configure macros.  Enable macros for variant-ppc
  build/install requirements as per swarm.spec.

* Tue Sep 28 1999 Alex Lancaster <alex@santafe.edu>

- Rework spec file macros more consistently.

- Add jikes and kaffe as BuildPrereq, previously missing.

* Sun Sep 19 1999 Alex Lancaster <alex@santafe.edu>

- Split swarm and swarm-hdf5 files into separate spec files.  No
  way to make two slightly different builds with overlapping namespace
  in the BuildRoot using rpm, as yet.

%prep 
%setup -n swarm-2.1.1

%build

%makebuilddir =with-hdf

%define configure %baseconfigure


%ifarch sparc
CONSERVATIVE_OPTIMIZATION=yes %configure
%endif

%ifarch ppc
CFLAGS="-fdollars-in-identifiers -O2 -g" %configure --with-ffidir=/usr --disable-jar
%endif

%ifarch i386
%configure
%endif

%{gcc_path} make JAVAC=/usr/bin/jikes

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT

cd %SWARM_SRC_DIR


%gen_shared_filelist %{prefix} %{SWARM_SRC_DIR}/with-hdf

cd =with-hdf
%{gcc_path} make prefix=$RPM_BUILD_ROOT%{prefix} JAVAC=/usr/bin/jikes install

%post 
%define hdf5pathfiles etc/swarm/* lib/swarm/lib*.la
%fix_path %hdf5pathfiles

%files -f with-hdf 
%defattr(-,root,root)

%clean 
rm -rf $RPM_BUILD_ROOT

# Local variables:
# mode: shell-script
# sh-shell: rpm
# end:
